## org.apache.xpath
Interface ExpressionOwner

All Known Implementing Classes:
  ElemForEach, FunctionOneArg, XPath, AxesWalker, WalkingIterator, Operation, UnaryOperation, StepPattern

public interface ExpressionOwner

Classes that implement this interface own an expression, which can be rewritten.

Method Summary
`Expression` `getExpression()` Get the raw Expression object that this class wraps.
`void` `setExpression(Expression exp)` Set the raw expression object for this object.

Method Detail

### getExpression

    public Expression getExpression()

  Get the raw Expression object that this class wraps.
  Returns:
    the raw Expression object, which should not normally be null.

### setExpression

    public void setExpression(Expression exp)

  Set the raw expression object for this object.
  Parameters:
    `exp` - the raw Expression object, which should not normally be null.

Copyright © 2006 Apache XML Project. All Rights Reserved.